- AnsibleFest
- Products
- Community
- Webinars & Training
- Blog

Documentation

# fortios_system_ntp – Configure system NTP information in Fortinet’s FortiOS and FortiGate

New in version 2.9.

- Synopsis

- Requirements

- Parameters

- Notes

- Examples

- Return Values

- Status

## Synopsis

- This module is able to configure a FortiGate or FortiOS (FOS) device by allowing the user to set and modify system feature and ntp category. Examples include all parameters and values need to be adjusted to datasources before usage. Tested with FOS v6.0.5

## Requirements

The below requirements are needed on the host that executes this module.

- fortiosapi>=0.9.8

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
host string |  | FortiOS or FortiGate IP address.
https boolean | Choices: no yes ← | Indicates if the requests towards FortiGate must use HTTPS protocol.
password string | Default: "" | FortiOS or FortiGate password.
ssl_verify boolean | Choices: no yes ← | Ensures FortiGate certificate must be verified by a proper CA.
system_ntp dictionary | Default: null | Configure system NTP information.
| interface list |  | FortiGate interface(s) with NTP server mode enabled. Devices on your network can contact these interfaces for NTP services.
|  | interface_name string |  | Interface name. Source system.interface.name.
| ntpserver list |  | Configure the FortiGate to connect to any available third-party NTP server.
|  | authentication string | Choices: enable disable | Enable/disable MD5 authentication.
|  | id integer / required |  | NTP server ID.
|  | key string |  | Key for MD5 authentication.
|  | key_id integer |  | Key ID for authentication.
|  | ntpv3 string | Choices: enable disable | Enable to use NTPv3 instead of NTPv4.
|  | server string |  | IP address or hostname of the NTP Server.
| ntpsync string | Choices: enable disable | Enable/disable setting the FortiGate system time by synchronizing with an NTP Server.
| server_mode string | Choices: enable disable | Enable/disable FortiGate NTP Server Mode. Your FortiGate becomes an NTP server for other devices on your network. The FortiGate relays NTP requests to its configured NTP server.
| source_ip string |  | Source IP address for communication to the NTP server.
| source_ip6 string |  | Source IPv6 address for communication to the NTP server.
| syncinterval integer |  | NTP synchronization interval (1 - 1440 min).
| type string | Choices: fortiguard custom | Use the FortiGuard NTP server or any other available NTP Server.
username string |  | FortiOS or FortiGate username.
vdom string | Default: "root" | Virtual domain, among those defined previously. A vdom is a virtual instance of the FortiGate that can be configured and used as a different unit.

## Notes

Note

- Requires fortiosapi library developed by Fortinet

- Run as a local_action in your playbook

## Examples

    - hosts: localhost
      vars:
       host: "192.168.122.40"
       username: "admin"
       password: ""
       vdom: "root"
       ssl_verify: "False"
      tasks:
      - name: Configure system NTP information.
        fortios_system_ntp:
          host:  "{{ host }}"
          username: "{{ username }}"
          password: "{{ password }}"
          vdom:  "{{ vdom }}"
          https: "False"
          system_ntp:
            interface:
             -
                interface_name: "<your_own_value> (source system.interface.name)"
            ntpserver:
             -
                authentication: "enable"
                id:  "7"
                key: "<your_own_value>"
                key_id: "9"
                ntpv3: "enable"
                server: "192.168.100.40"
            ntpsync: "enable"
            server_mode: "enable"
            source_ip: "84.230.14.43"
            source_ip6: "<your_own_value>"
            syncinterval: "16"
            type: "fortiguard"

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
build string | always | Build number of the fortigate image Sample: 1547
http_method string | always | Last method used to provision the content into FortiGate Sample: PUT
http_status string | always | Last result given by FortiGate on last operation applied Sample: 200
mkey string | success | Master key (id) used in the last call to FortiGate Sample: id
name string | always | Name of the table used to fulfill the request Sample: urlfilter
path string | always | Path of the table used to fulfill the request Sample: webfilter
revision string | always | Internal revision number Sample: 17.0.2.10658
serial string | always | Serial number of the unit Sample: FGVMEVYYQT3AB5352
status string | always | Indication of the operation's result Sample: success
vdom string | always | Virtual domain used Sample: root
version string | always | Version of the FortiGate Sample: v5.6.3

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]

- This module is maintained by the Ansible Community. [community]

### Authors

- Miguel Angel Munoz (@mamunozgonzalez)

- Nicolas Thomas (@thomnico)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.